Search:

# CWIS Developers Documentation

# RSSClient Class Reference

## Public Member Functions
| RSSClient ($ServerUrl, $CacheDB=NULL, $CacheTablePrefix="", $RefreshTime=600, $DebugLevel=0)
| ServerUrl ($NewValue=NULL)
| GetItems ($NumberOfItems=NULL, $ChannelName=NULL)
| GetChannelTitle ()
| GetChannelLink ()
| GetChannelDescription ()
| UsedCachedData ()
| SetDebugLevel ($NewLevel)
| QueryServerWithCaching ($ServerUrl, $CacheDB, $CacheTablePrefix, $RefreshTime)
| QueryServer ()
| LoadChannelInfo ()
## Public Attributes
| $ServerUrl
| $MetadataPrefix
| $SetSpec
| $DebugLevel
| $XmlText
| $Parser
| $ChannelTitle
| $ChannelLink
| $ChannelDescription
| $CachedDataWasUsed

List of all members.

## Detailed Description

Definition at line 18 of file RSSClient.php.

## Member Function Documentation

RSSClient::GetChannelDescription | ( |  | ) |

Definition at line 118 of file RSSClient.php.

References LoadChannelInfo().

RSSClient::GetChannelLink | ( |  | ) |

Definition at line 111 of file RSSClient.php.

References LoadChannelInfo().

RSSClient::GetChannelTitle | ( |  | ) |

Definition at line 104 of file RSSClient.php.

References LoadChannelInfo().

RSSClient::GetItems | ( | $ | NumberOfItems = `NULL`,
|  | $ | ChannelName = `NULL` |
| ) |  |  |

Definition at line 62 of file RSSClient.php.

References $Items, and $Parser.

RSSClient::LoadChannelInfo | ( |  | ) |

Definition at line 232 of file RSSClient.php.

References $Parser.

Referenced by GetChannelDescription(), GetChannelLink(), and GetChannelTitle().

Here is the caller graph for this function:

RSSClient::QueryServer | ( |  | ) |

Definition at line 211 of file RSSClient.php.

References ServerUrl().

Referenced by QueryServerWithCaching().

Here is the caller graph for this function:

RSSClient::QueryServerWithCaching | ( | $ | ServerUrl,
|  | $ | CacheDB,
|  | $ | CacheTablePrefix,
|  | $ | RefreshTime |
| ) |  |  |

Definition at line 151 of file RSSClient.php.

References $ServerUrl, QueryServer(), and ServerUrl().

Referenced by RSSClient(), and ServerUrl().

Here is the caller graph for this function:

RSSClient::RSSClient | ( | $ | ServerUrl,
|  | $ | CacheDB = `NULL`,
|  | $ | CacheTablePrefix = `""`,
|  | $ | RefreshTime = `600`,
|  | $ | DebugLevel = `0` |
| ) |  |  |

Definition at line 23 of file RSSClient.php.

References $DebugLevel, $Parser, $ServerUrl, and QueryServerWithCaching().

RSSClient::ServerUrl | ( | $ | NewValue = `NULL` | ) |

Definition at line 40 of file RSSClient.php.

References $Parser, and QueryServerWithCaching().

Referenced by QueryServer(), and QueryServerWithCaching().

Here is the caller graph for this function:

RSSClient::SetDebugLevel | ( | $ | NewLevel | ) |

Definition at line 145 of file RSSClient.php.

RSSClient::UsedCachedData | ( |  | ) |

Definition at line 125 of file RSSClient.php.

## Member Data Documentation

RSSClient::$CachedDataWasUsed

Definition at line 142 of file RSSClient.php.

RSSClient::$ChannelDescription

Definition at line 141 of file RSSClient.php.

RSSClient::$ChannelLink

Definition at line 140 of file RSSClient.php.

RSSClient::$ChannelTitle

Definition at line 139 of file RSSClient.php.

RSSClient::$DebugLevel

Definition at line 136 of file RSSClient.php.

Referenced by RSSClient().

RSSClient::$MetadataPrefix

Definition at line 134 of file RSSClient.php.

RSSClient::$Parser

Definition at line 138 of file RSSClient.php.

Referenced by GetItems(), LoadChannelInfo(), RSSClient(), and ServerUrl().

RSSClient::$ServerUrl

Definition at line 133 of file RSSClient.php.

Referenced by QueryServerWithCaching(), and RSSClient().

RSSClient::$SetSpec

Definition at line 135 of file RSSClient.php.

RSSClient::$XmlText

Definition at line 137 of file RSSClient.php.

The documentation for this class was generated from the following file:

- RSSClient.php